﻿dofile(ModPath .. "menu/menu.lua")

Hooks:Add("LocalizationManagerPostInit", "clones_localize_menu", function(loc)
	loc:load_localization_file(CloneArmy.modpath .. "menu/english.txt", false)
end)

Hooks:Add("MenuManagerInitialize", "clones_init_menu", function(menu_manager)
	MenuCallbackHandler.clones_save = function(this, item)
		CloneArmy:Save()
	end
	MenuCallbackHandler.clones_activated_callback = function(this, item)
		CloneArmy.settings[item:name()] = item:value() == "on"
		CloneArmy:Save()
	end
	MenuCallbackHandler.clones_special_type_callback = function(this, item)
		CloneArmy.settings.special_type = tonumber(item:value())
		CloneArmy:Save()
	end

	CloneArmy:Load()

	MenuHelper:LoadFromJsonFile(CloneArmy.modpath .. "menu/menu.txt", CloneArmy, CloneArmy.settings)
end)